Bug 185593 - Patch e2fsprogs-enable-resize break make test
Patch e2fsprogs-enable-resize break make test
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 19:10 EST by Herton Ronaldo Krzesinski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.39-2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 17:09:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Herton Ronaldo Krzesinski 2006-03-15 19:10:38 EST
Description of problem: 
After compiling e2fsprogs with e2fsprogs-enable-resize.patch applied the test 
suite will fail (make test). 
 
Version-Release number of selected component (if applicable): 
1.38-12 
 
How reproducible: 
Add a make test pass to e2fsprogs.spec. 
 
Steps to Reproduce:  
1. get e2fsprogs-1.38-12 src.rpm 
2. add a make test to it after make of e2fsprogs 
3. run rpmbuild to generate package 
 
Actual results:  
m_dasd_bs: 2048 byte sector devices: failed 
m_large_file: largefile fs type: failed 
m_meta_bg: meta blockgroup feature: failed 
m_no_opt: no filesystem extensions: failed 
m_raid_opt: raid options: failed 
m_std: standard filesystem options: failed 
r_move_itable: resize2fs with resize_inode: failed 
r_resize_inode: resize2fs with resize_inode: ok 
73 tests succeeded      8 tests failed 
make[1]: *** [check] Error 1  
  
Expected results:  
success of "make test" 
 
Aditional Info: 
Removing e2fsprogs-enable-resize.patch solves the problem.
Comment 1 Marcin Garski 2006-07-12 17:09:53 EDT
Thank you for the bug report. Running tests on 1.39-2.1 gives:
82 tests succeeded      0 tests failed
Comment 2 Thomas Woerner 2006-07-13 06:09:16 EDT
The tests are enabled in the spec file for the latest e2fsprogs package:
e2fsprogs-1.39-1

e2fsprogs.spec:
...
%check
make check
...

Note You need to log in before you can comment on or make changes to this bug.